あいつの日誌β

人生はお酒があれば何とかなります。 drunkard.tokyo

gyp ERR! stack Error: Python executable \"/usr/local/bin/python\" is v3.6.4, which is not supported by gyp.

yarn add sha3 しようとすると gyp が Python のバージョンに対して不服がある模様。

gyp ERR! stack Error: Python executable \"/usr/local/bin/python\" is v3.6.4, which is not supported by gyp.

https://github.com/Homebrew/homebrew-core/issues/24869#issuecomment-371765216

上記のコメントを参考にして npmrc に追記した。

echo "python = /usr/bin/python" >> ~/.npmrc

おしまい